<?php

/**
 *
 * @copyright  2010 frasq.org
 * @version    1
 * @link       http://www.frasq.org
 */

function banner($lang, $components=false) {
	$home_page=url('home', $lang);
	$logo = view('logo', $lang, compact('home_page'));

	$languages=false;

	if ($components) {
		foreach ($components as $v => $param) {
			switch ($v) {
				case 'languages':
					if ($param) {
						$languages = build('languages', $lang, $param);
					}
					break;
				default:
					break;
			}
		}
	}

	$output = view('banner', false, compact('logo', 'languages'));

	return $output;
}
